Package com.avaya.clientservices.user

## Class UserConfiguration

- java.lang.Object
- - com.avaya.clientservices.user.UserConfiguration

-     public class UserConfiguration
      extends java.lang.Object

  The UserConfiguration class that contains the configuration data for the different services for a `User`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserConfiguration()` | Constructor.This should be used for constructing UserConfiguration

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ACSConfiguration` | `getACSConfiguration()` |
    `AgentConfiguration` | `getAgentConfiguration()` |
    `AMMConfiguration` | `getAMMConfiguration()` |
    `AvayaMessagingConfiguration` | `getAvayaMessagingConfiguration()` |
    `CESConfiguration` | `getCESConfiguration()` |
    `ConferenceConfiguration` | `getConferenceConfiguration()` |
    `DialingRulesConfiguration` | `getDialingRulesConfiguration()` |
    `EC500Configuration` | `getEC500Configuration()` |
    `HTTPUserConfiguration` | `getHTTPUserConfiguration()` |
    `IPOfficeConfiguration` | `getIPOfficeConfiguration()` |
    `LDAPConfiguration` | `getLDAPConfiguration()` |
    `java.lang.String` | `getLocalCallLogFilePath()` |
    `LocalContactConfiguration` | `getLocalContactConfiguration()` |
    `MessagingConfiguration` | `getMessagingConfiguration()` |
    `PPMConfiguration` | `getPPMConfiguration()` | If this setting is null or blank (the default), the client use the initial SIP proxy server address (SIPUserConfiguration) as the PPM address.
    `PresenceConfiguration` | `getPresenceConfiguration()` |
    `PushNotificationConfiguration` | `getPushNotificationConfiguration()` |
    `SimRingCallbackConfiguration` | `getSimRingCallbackConfiguration()` |
    `SIPUserConfiguration` | `getSIPUserConfiguration()` |
    `VideoUserConfiguration` | `getVideoUserConfiguration()` |
    `WCSConfiguration` | `getWCSConfiguration()` |
    `ZangConfiguration` | `getZangConfiguration()` |
    `boolean` | `isBandwidthRegulationEnabled()` | Retrieve the value of the 'bandwidth regulation' flag.
    `boolean` | `isExternalAppInterfaceEnabled()` | Retrieve the value of the 'external app interface enabled' flag.
    `void` | `setACSConfiguration​(ACSConfiguration acsConfiguration)` |
    `void` | `setAgentConfiguration​(AgentConfiguration agentConfig)` |
    `void` | `setAMMConfiguration​(AMMConfiguration ammConfiguration)` |
    `void` | `setAvayaMessagingConfiguration​(AvayaMessagingConfiguration AvayaMessagingConfiguration)` |
    `void` | `setBandwidthRegulationEnabled​(boolean enabled)` | Set the value of the 'bandwidth regulation' flag.
    `void` | `setCESConfiguration​(CESConfiguration cesConfiguration)` |
    `void` | `setConferenceConfiguration​(ConferenceConfiguration conferenceConfiguration)` |
    `void` | `setDialingRulesConfiguration​(DialingRulesConfiguration dialingRulesConfiguration)` |
    `void` | `setEC500Configuration​(EC500Configuration ec500Configuration)` |
    `void` | `setExternalAppInterfaceEnabled​(boolean enabled)` | Set the value of the 'external app interface enabled' flag.
    `void` | `setHTTPUserConfiguration​(HTTPUserConfiguration config)` |
    `void` | `setIPOfficeConfiguration​(IPOfficeConfiguration ipOfficeConfiguration)` |
    `void` | `setLDAPConfiguration​(LDAPConfiguration ldapConfiguration)` |
    `void` | `setLocalCallLogFilePath​(java.lang.String localCallLogFilePath)` | Set full file path to the file in which local user's call logs are to be persisted.
    `void` | `setLocalContactConfiguration​(LocalContactConfiguration localContactConfiguration)` |
    `void` | `setMessagingConfiguration​(MessagingConfiguration messagingConfig)` |
    `void` | `setPPMConfiguration​(PPMConfiguration ppmConfiguration)` |
    `void` | `setPresenceConfiguration​(PresenceConfiguration presenceConfig)` |
    `void` | `setPushNotificationConfiguration​(PushNotificationConfiguration pushNotificationConfig)` |
    `void` | `setSimRingCallbackConfiguration​(SimRingCallbackConfiguration simRingCallbackConfiguration)` |
    `void` | `setSIPUserConfiguration​(SIPUserConfiguration config)` |
    `void` | `setVideoUserConfiguration​(VideoUserConfiguration videoUserConfiguration)` |
    `void` | `setWCSConfiguration​(WCSConfiguration wcsConfiguration)` |
    `void` | `setZangConfiguration​(ZangConfiguration mZangConfiguration)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfiguration

          public UserConfiguration()

      Constructor.This should be used for constructing UserConfiguration

  - ### Method Detail

    - #### getSIPUserConfiguration

          public SIPUserConfiguration getSIPUserConfiguration()

      Returns:
        the Configuration information for the user's SIP provider.

    - #### setSIPUserConfiguration

          public void setSIPUserConfiguration​(SIPUserConfiguration config)

      Parameters:
        `config` - the Configuration information for the user's SIP provider.

    - #### getHTTPUserConfiguration

          public HTTPUserConfiguration getHTTPUserConfiguration()

      Returns:
        the Configuration information for the user's HTTP provider.

    - #### setHTTPUserConfiguration

          public void setHTTPUserConfiguration​(HTTPUserConfiguration config)

      Parameters:
        `config` - the Configuration information for the user's HTTP provider.

    - #### getPresenceConfiguration

          public PresenceConfiguration getPresenceConfiguration()

      Returns:
        the Configuration information for the user's Presence configuration and preferences.

    - #### setPresenceConfiguration

          public void setPresenceConfiguration​(PresenceConfiguration presenceConfig)

      Parameters:
        `presenceConfig` - the Configuration information for the user's Presence configuration and preferences.

    - #### getVideoUserConfiguration

          public VideoUserConfiguration getVideoUserConfiguration()

      Returns:
        the Configuration information for the user's Video configuration and preferences.

    - #### setVideoUserConfiguration

          public void setVideoUserConfiguration​(VideoUserConfiguration videoUserConfiguration)

      Parameters:
        `videoUserConfiguration` - the Configuration information for the user's Video configuration and preferences.

    - #### getAMMConfiguration

          public AMMConfiguration getAMMConfiguration()

      Returns:
        the Configuration information for the user's AMM configuration.

    - #### setAMMConfiguration

          public void setAMMConfiguration​(AMMConfiguration ammConfiguration)

      Parameters:
        `ammConfiguration` - the Configuration information for the user's AMM provider.

    - #### getACSConfiguration

          public ACSConfiguration getACSConfiguration()

      Returns:
        the Configuration information for the user's ACS configuration.

    - #### setACSConfiguration

          public void setACSConfiguration​(ACSConfiguration acsConfiguration)

      Parameters:
        `acsConfiguration` - the Configuration information for the user's ACS provider.

    - #### getCESConfiguration

          public CESConfiguration getCESConfiguration()

      Returns:
        the Configuration information for the user's CES configuration.

    - #### setCESConfiguration

          public void setCESConfiguration​(CESConfiguration cesConfiguration)

      Parameters:
        `cesConfiguration` - the Configuration information for the user's CES provider.

    - #### getLDAPConfiguration

          public LDAPConfiguration getLDAPConfiguration()

      Returns:
        the Configuration information for the user's LDAP configuration.

    - #### setLDAPConfiguration

          public void setLDAPConfiguration​(LDAPConfiguration ldapConfiguration)

      Parameters:
        `ldapConfiguration` - the Configuration information for the user's LDAP.

    - #### getSimRingCallbackConfiguration

          public SimRingCallbackConfiguration getSimRingCallbackConfiguration()

      Returns:
        the Configuration information for the user's Callback / simultaneous ring feature.

    - #### setSimRingCallbackConfiguration

          public void setSimRingCallbackConfiguration​(SimRingCallbackConfiguration simRingCallbackConfiguration)

      Parameters:
        `simRingCallbackConfiguration` - the Configuration information for the user's Callback / simultaneous ring feature.

    - #### getConferenceConfiguration

          public ConferenceConfiguration getConferenceConfiguration()

      Returns:
        the Configuration information for the user's Conference configuration.

    - #### setConferenceConfiguration

          public void setConferenceConfiguration​(ConferenceConfiguration conferenceConfiguration)

      Parameters:
        `conferenceConfiguration` - the Configuration information for the user's conference data.

    - #### getDialingRulesConfiguration

          public DialingRulesConfiguration getDialingRulesConfiguration()

      Returns:
        the Configuration information for the user's Dialing Rules configuration.

    - #### setDialingRulesConfiguration

          public void setDialingRulesConfiguration​(DialingRulesConfiguration dialingRulesConfiguration)

      Parameters:
        `dialingRulesConfiguration` - the Configuration information for the user's dialing rules.

    - #### getEC500Configuration

          public EC500Configuration getEC500Configuration()

      Returns:
        the Configuration information for the user's EC500 Feature Name Extension settings.

    - #### setEC500Configuration

          public void setEC500Configuration​(EC500Configuration ec500Configuration)

      Parameters:
        `ec500Configuration` - the Configuration information for the user's EC500 Feature Name Extension settings.

    - #### getIPOfficeConfiguration

          public IPOfficeConfiguration getIPOfficeConfiguration()

      Returns:
        the Configuration information for user's IP Office account.

    - #### setIPOfficeConfiguration

          public void setIPOfficeConfiguration​(IPOfficeConfiguration ipOfficeConfiguration)

      Parameters:
        `ipOfficeConfiguration` - the Configuration information for user's IP Office account.

    - #### getPPMConfiguration

          public PPMConfiguration getPPMConfiguration()

      If this setting is null or blank (the default), the client use the initial SIP proxy server address (SIPUserConfiguration) as the PPM address.
      Returns:
        the Configuration information for the user's PPM configuration.

    - #### setPPMConfiguration

          public void setPPMConfiguration​(PPMConfiguration ppmConfiguration)

      Parameters:
        `ppmConfiguration` - the Configuration information for the user's PPM provider.

    - #### getAvayaMessagingConfiguration

          public AvayaMessagingConfiguration getAvayaMessagingConfiguration()

      Returns:
        the Configuration information for the user's Avaya Messaging configuration.

    - #### setAvayaMessagingConfiguration

          public void setAvayaMessagingConfiguration​(AvayaMessagingConfiguration AvayaMessagingConfiguration)

      Parameters:
        `AvayaMessagingConfiguration` - the Configuration information for the user's Avaya Messaging provider.

    - #### getWCSConfiguration

          public WCSConfiguration getWCSConfiguration()

      Returns:
        the Configuration information for the user's WCS configuration.

    - #### setWCSConfiguration

          public void setWCSConfiguration​(WCSConfiguration wcsConfiguration)

      Parameters:
        `wcsConfiguration` - the Configuration information for the user's WCS provider.

    - #### getLocalContactConfiguration

          public LocalContactConfiguration getLocalContactConfiguration()

      Returns:
        the Local Contact Configuration information for the user's Contacts.

    - #### setLocalContactConfiguration

          public void setLocalContactConfiguration​(LocalContactConfiguration localContactConfiguration)

      Parameters:
        `localContactConfiguration` - the Local Contact Configuration information for the user's Contact service.

    - #### getLocalCallLogFilePath

          public java.lang.String getLocalCallLogFilePath()

      Returns:
        full file path to the local user's call log records. This value is set by the client/UI when this user was configured.

    - #### setLocalCallLogFilePath

          public void setLocalCallLogFilePath​(java.lang.String localCallLogFilePath)

      Set full file path to the file in which local user's call logs are to be persisted. This path is provided by the UI/client that is aware of the appropriate directory applicable for such platform dependent storage location. If invalid path is provided, the call log items will not be persisted, but will be updated in the cache during runtime only.
      Parameters:
        `localCallLogFilePath` - the full file path to set.

    - #### isExternalAppInterfaceEnabled

          public boolean isExternalAppInterfaceEnabled()

      Retrieve the value of the 'external app interface enabled' flag.
      Returns:
        true If the external app interface is enabled, false otherwise.

    - #### setExternalAppInterfaceEnabled

          public void setExternalAppInterfaceEnabled​(boolean enabled)

      Set the value of the 'external app interface enabled' flag.
      Parameters:
        `enabled` - Set to true if the external application interface is to be enabled, false otherwise.

    - #### isBandwidthRegulationEnabled

          public boolean isBandwidthRegulationEnabled()

      Retrieve the value of the 'bandwidth regulation' flag.
      Returns:
        true If the bandwidth regulation is enabled, false otherwise.

    - #### setBandwidthRegulationEnabled

          public void setBandwidthRegulationEnabled​(boolean enabled)

      Set the value of the 'bandwidth regulation' flag.
      Parameters:
        `enabled` - true If the bandwidth regulation is to be enabled, false otherwise.

    - #### getZangConfiguration

          public ZangConfiguration getZangConfiguration()

    - #### setZangConfiguration

          public void setZangConfiguration​(ZangConfiguration mZangConfiguration)

    - #### getMessagingConfiguration

          public MessagingConfiguration getMessagingConfiguration()

      Returns:
        the Configuration information for the user's Messaging configuration and preferences.

    - #### setMessagingConfiguration

          public void setMessagingConfiguration​(MessagingConfiguration messagingConfig)

      Parameters:
        `messagingConfig` - the Configuration information for the user's Messaging configuration and preferences.

    - #### getAgentConfiguration

          public AgentConfiguration getAgentConfiguration()

      Returns:
        the Configuration information for the user's Agent service configuration and preferences.

    - #### setAgentConfiguration

          public void setAgentConfiguration​(AgentConfiguration agentConfig)

      Parameters:
        `agentConfig` - the Configuration information for the user's Agent service configuration and preferences.

    - #### getPushNotificationConfiguration

          public PushNotificationConfiguration getPushNotificationConfiguration()

      Returns:
        the Configuration information for the user's push notification service.

    - #### setPushNotificationConfiguration

          public void setPushNotificationConfiguration​(PushNotificationConfiguration pushNotificationConfig)

      Parameters:
        `pushNotificationConfig` - the Configuration information for the user's push notification service configuration.